Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.prep
Class BasePreparedGeometry

    java.lang.Object
      com.vividsolutions.jts.geom.prep.BasePreparedGeometry

All Implemented Interfaces:
  PreparedGeometry

public class BasePreparedGeometry
extends java.lang.Object
implements PreparedGeometry

A base class implementation for `PreparedGeometry` subclasses. Contains default implementations for methods, which simply delegate to the equivalent `Geometry` methods. This class may be used as a "no-op" class for Geometry types which do not have an actual `PreparedGeometry` implementation.

Author:
  Martin Davis

Constructor Summary
`BasePreparedGeometry(Geometry geom)`

Method Summary
`boolean` | `contains(Geometry g)` Default implementation.
`boolean` | `containsProperly(Geometry g)` Default implementation.
`Geometry` | `getGeometry()` Gets the original `Geometry` which has been prepared.
`boolean` | `intersects(Geometry g)` Default implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.vividsolutions.jts.geom.prep.PreparedGeometry
`coveredBy, covers, crosses, disjoint, overlaps, touches, within`

Constructor Detail

### BasePreparedGeometry

    public BasePreparedGeometry(Geometry geom)

Method Detail

### getGeometry

    public Geometry getGeometry()

  Description copied from interface: `PreparedGeometry`
  Gets the original `Geometry` which has been prepared.

  Specified by:
    `getGeometry` in interface `PreparedGeometry`
  Returns:
    the base geometry

### intersects

    public boolean intersects(Geometry g)

  Default implementation.

  Specified by:
    `intersects` in interface `PreparedGeometry`
  Parameters:
    `g` - the Geometry to test
  Returns:
    true if this Geometry intersects the given Geometry
  See Also:
    `Geometry.intersects(Geometry)`

### contains

    public boolean contains(Geometry g)

  Default implementation.

  Specified by:
    `contains` in interface `PreparedGeometry`
  Parameters:
    `g` - the Geometry to test
  Returns:
    true if this Geometry contains the given Geometry
  See Also:
    `Geometry.contains(Geometry)`

### containsProperly

    public boolean containsProperly(Geometry g)

  Default implementation.

  Specified by:
    `containsProperly` in interface `PreparedGeometry`
  Parameters:
    `g` - the Geometry to test
  Returns:
    true if this Geometry properly contains the given Geometry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD